import { IgniteElement } from './ignite-element.js';
import { IgniteTemplate, div } from './ignite-template.js';
import { Sheet } from './sheet.js';

class MainApp extends IgniteElement {
    constructor() {
        super();

        this.title = "Default Title";
        this.name = "Default Name";
        this.href = "www.overrided.com";
    }

    properties() {
        return [
            "title",
            "name",
            "href"
        ];
    }

    render() {
        return new Sheet().property("name", this.name).property("href", this.href);
    }
}

customElements.define("main-app", MainApp);